<?php
class datos_model extends main_model{

    
    function get_datos_res($user, $desde, $hasta, $cc, $remito, $contado, $anulada, $orden, $emp, $remitoPrecioActual){
        //log_this('log/huellita.log', 'GET_dATOS_rEST ' . "\n");
        //log_this('log/huellita.log', 'PARAMETROS '. ' user '. $user . ' desde '. $desde . ' hasta '. $hasta. ' cc '.$cc. ' remito '. $remito. ' contando '.$contado. ' anulada '. $anulada. ' orden '. $orden. ' emp '. $emp  . "\n");
        $rtn = $this->_soap['clientes']->send_func("resumen_cuenta",$user, $desde, $hasta, $cc, $remito, $contado, $anulada, $orden, $emp, $remitoPrecioActual);
//        print_r($rtn);die;
        //log_this('log/huellita.log', 'rtn '. print_r($rtn,true) . "\n");
        return $rtn;
    }

    function get_datos_ana($user, $desde, $hasta, $cc, $remito, $contado, $anulada , $orden, $emp, $remitoPrecioActual){
        $rtn = $this->_soap['clientes']->send_func("analisis_deuda",$user, $desde, $hasta, $cc, $remito, $contado, $anulada, $orden, $emp, $remitoPrecioActual);

        return $rtn;
    }
    
    function get_detalle( $cod, $tco, $tip, $suc, $nco, $emp ){
        $rtn = $this->_soap['clientes']->send_func("get_detalle", $cod, $tco, $tip, $suc, $nco, $emp);
        return $rtn;
    }
    function get_empresas(){
        $rtn = $this->_soap['clientes']->send_func("get_empresas");
        return $rtn;
    }
    function get_remitos($suc, $nco, $tip){
        $rtn = $this->_soap['clientes']->send_func("get_remitos",$suc, $nco, $tip);
        return $rtn;
    }
}
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
?>
